module.exports = {
  extends: [
    'airbnb',
    'eslint:recommended',
    'plugin:import/errors',
    'plugin:react/recommended',
    'plugin:jsx-a11y/recommended',
  ],
  plugins: [
    'react-hooks',
  ],
  rules: {
    "arrow-parens": ["error", "as-needed"],
    "comma-dangle": ["error", "never"],
    "max-len": [2, {"code": 120, "ignoreUrls": true, "ignoreStrings": true}],
    "no-console": ["error", {"allow": ["warn", "info", "error"]}],
    "template-curly-spacing": ["error", "always"],
    "import/extensions": ["error", "ignorePackages", {
      "js": "never",
      "mjs": "never",
      "jsx": "never",
      "ts": "never",
      "tsx": "never"
    }],
    "react/jsx-curly-spacing": [2, {"when": "always"}],
    "react/static-property-placement": ["error", "static public field"],
  },
};